Browse Source

upstream update, add webdav

master
Olaf Rempel 9 years ago
parent
commit
9c20ba1207
3 changed files with 112 additions and 3 deletions
  1. 34
    3
      Makefile
  2. 23
    0
      apache-layouts
  3. 55
    0
      init-scripts/apache22-dav

+ 34
- 3
Makefile View File

@@ -21,7 +21,7 @@ _SOURCES=$(_SRCBASE)/source
21 21
 
22 22
 ## ############################################################################
23 23
 
24
-VERSION_APACHE=2.2.11
24
+VERSION_APACHE=2.2.14
25 25
 PACKAGE_APACHE=httpd-$(VERSION_APACHE).tar.bz2
26 26
 DOWNLOAD_APACHE=http://apache.speedbone.de/httpd/$(PACKAGE_APACHE)
27 27
 SOURCE_APACHE=$(_SOURCES)/httpd-$(VERSION_APACHE)
@@ -31,7 +31,7 @@ PACKAGE_RPAF=mod_rpaf-$(VERSION_RPAF).tar.gz
31 31
 DOWNLOAD_RPAF=http://stderr.net/apache/rpaf/download/$(PACKAGE_RPAF)
32 32
 SOURCE_RPAF=$(_SOURCES)/mod_rpaf-$(VERSION_RPAF)
33 33
 
34
-VERSION_PHP=5.2.9
34
+VERSION_PHP=5.2.12
35 35
 PACKAGE_PHP=php-$(VERSION_PHP).tar.bz2
36 36
 DOWNLOAD_PHP=http://de3.php.net/get/$(PACKAGE_PHP)/from/this/mirror
37 37
 SOURCE_PHP=$(_SOURCES)/php-$(VERSION_PHP)
@@ -43,7 +43,7 @@ SOURCE_EACCELERATOR=$(_SOURCES)/eaccelerator-$(VERSION_EACCELERATOR)
43 43
 
44 44
 ## ############################################################################
45 45
 
46
-all: apache-fe apache-be
46
+all: apache-fe apache-dav apache-be
47 47
 
48 48
 fetch: $(_DOWNLOADS)/$(PACKAGE_APACHE) \
49 49
     $(_DOWNLOADS)/$(PACKAGE_RPAF) \
@@ -85,6 +85,37 @@ $(SOURCE_EACCELERATOR)/.unpacked: $(_DOWNLOADS)/$(PACKAGE_EACCELERATOR)
85 85
 
86 86
 ## ############################################################################
87 87
 
88
+_APACHE_DAV_BUILD=$(_SOURCES)/apache22-webdav
89
+_APACHE_DAV_DEST=$(DESTDIR)/apache22-webdav
90
+_APACHE_DAV_CONF=/etc/apache22-dav
91
+
92
+apache-dav: $(_APACHE_DAV_BUILD)/.installed
93
+
94
+$(_APACHE_DAV_BUILD)/.configured: $(SOURCE_APACHE)/.unpacked
95
+	mkdir -p $(_APACHE_DAV_BUILD)
96
+	( cd $(_APACHE_DAV_BUILD); \
97
+		$(SOURCE_APACHE)/configure \
98
+		--enable-layout=Webdav \
99
+		--with-mpm=worker \
100
+		--enable-dav \
101
+		--enable-dav-fs \
102
+	);
103
+	touch $@
104
+
105
+$(_APACHE_DAV_BUILD)/.compiled: $(_APACHE_DAV_BUILD)/.configured
106
+	make $(MAKE_FLAGS) -C $(_APACHE_DAV_BUILD) all
107
+	touch $@
108
+
109
+$(_APACHE_DAV_BUILD)/.installed: $(_APACHE_DAV_BUILD)/.compiled
110
+	make -C $(_APACHE_DAV_BUILD) install
111
+	rm -rf $(_APACHE_DAV_CONF)/original
112
+	touch $@
113
+
114
+apache-dav-clean:
115
+	rm -rf $(_APACHE_DAV_BUILD)
116
+
117
+## ############################################################################
118
+
88 119
 _APACHE_FE_BUILD=$(_SOURCES)/apache22-frontend
89 120
 _APACHE_FE_DEST=$(DESTDIR)/apache22-frontend
90 121
 _APACHE_FE_CONF=/etc/apache22-fe

+ 23
- 0
apache-layouts View File

@@ -43,3 +43,26 @@
43 43
     logfiledir:    /var/log/apache22-be
44 44
     proxycachedir: ${localstatedir}/proxy
45 45
 </Layout>
46
+
47
+<Layout Webdav>
48
+    prefix:        /opt/apache22-webdav
49
+    exec_prefix:   ${prefix}
50
+    bindir:        ${exec_prefix}/bin
51
+    sbindir:       ${exec_prefix}/bin
52
+    libdir:        ${exec_prefix}/lib
53
+    libexecdir:    ${exec_prefix}/modules
54
+    mandir:        ${prefix}/man
55
+    sysconfdir:    /etc/apache22-dav
56
+    datadir:       ${prefix}
57
+    installbuilddir: ${datadir}/build
58
+    errordir:      ${datadir}/error
59
+    iconsdir:      ${datadir}/icons
60
+    htdocsdir:     ${datadir}/htdocs
61
+    manualdir:     ${datadir}/manual
62
+    cgidir:        ${datadir}/cgi-bin
63
+    includedir:    ${prefix}/include
64
+    localstatedir: ${prefix}
65
+    runtimedir:    ${localstatedir}/run
66
+    logfiledir:    /var/log/apache22-dav
67
+    proxycachedir: ${localstatedir}/proxy
68
+</Layout>

+ 55
- 0
init-scripts/apache22-dav View File

@@ -0,0 +1,55 @@
1
+#! /bin/sh
2
+### BEGIN INIT INFO
3
+# Provides:          apache22-dav
4
+# Required-Start:    $network
5
+# Required-Stop:     $network
6
+# Default-Start:     2 3 4 5
7
+# Default-Stop:      0 1 6
8
+# Short-Description: apache22-dav initscript
9
+# Description:       none
10
+### END INIT INFO
11
+
12
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
13
+DESC="Apache22 WebDAV"
14
+
15
+APACHECTL="/opt/apache22-webdav/bin/apachectl"
16
+[ -x "$APACHECTL" ] || exit 0
17
+
18
+# Load the VERBOSE setting and other rcS variables
19
+. /lib/init/vars.sh
20
+
21
+# Define LSB log_* functions.
22
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
23
+. /lib/lsb/init-functions
24
+
25
+case "$1" in
26
+start)
27
+	log_daemon_msg "Starting $DESC"
28
+	$APACHECTL -k start
29
+	case "$?" in
30
+		0) log_end_msg 0 ;;
31
+		*) log_end_msg 1 ;;
32
+	esac
33
+	;;
34
+stop)
35
+	log_daemon_msg "Stopping $DESC"
36
+	$APACHECTL -k stop
37
+	case "$?" in
38
+		0) log_end_msg 0 ;;
39
+		*) log_end_msg 1 ;;
40
+	esac
41
+	;;
42
+restart)
43
+	log_daemon_msg "Stopping $DESC"
44
+	$APACHECTL -k restart
45
+	case "$?" in
46
+		0) log_end_msg 0 ;;
47
+		*) log_end_msg 1 ;;
48
+	esac
49
+	;;
50
+
51
+*)
52
+	echo "Usage: $0 {start|stop|restart}" >&2
53
+	exit 3
54
+	;;
55
+esac

Loading…
Cancel
Save